# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Line Class Reference

`#include <StepGeom_Line.hxx>`

Inheritance diagram for StepGeom_Line:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_Line ()
| Returns a Line .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_CartesianPoint)&aPnt, const Handle(StepGeom_Vector)&aDir)
Standard_EXPORT void | SetPnt (const Handle(StepGeom_CartesianPoint)&aPnt)
Standard_EXPORT Handle_StepGeom_CartesianPoint | Pnt () const
Standard_EXPORT void | SetDir (const Handle(StepGeom_Vector)&aDir)
Standard_EXPORT Handle_StepGeom_Vector | Dir () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_CartesianPoint | pnt
Handle_StepGeom_Vector | dir

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Line::StepGeom_Line | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Vector StepGeom_Line::Dir | ( |  | ) | const

Standard_EXPORT const StepGeom_Line::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Curve.

virtual Standard_EXPORT void StepGeom_Line::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_CartesianPoint)& | aPnt,
|  | const Handle(StepGeom_Vector)& | aDir
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_Line::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepGeom_CartesianPoint StepGeom_Line::Pnt | ( |  | ) | const

Standard_EXPORT void StepGeom_Line::SetDir | ( | const Handle(StepGeom_Vector)& | aDir | ) |

Standard_EXPORT void StepGeom_Line::SetPnt | ( | const Handle(StepGeom_CartesianPoint)& | aPnt | ) |

## Field Documentation

Handle_StepGeom_Vector StepGeom_Line::dir `[private]`

Handle_StepGeom_CartesianPoint StepGeom_Line::pnt `[private]`

The documentation for this class was generated from the following file:

- StepGeom_Line.hxx